---
# yaml-language-server: $schema=https://schema.blue-build.org/module-stage-list-v1.json
stages:
  - from: mcr.microsoft.com/dotnet/sdk:8.0
    name: spyro2
    modules:
      - type: files
        files:
          - source: spyro2-client-patch
            destination: /app/
      - type: script
        scripts:
          - build-spyro2-client.sh
modules:
  - type: files
    files:
      - source: spyro2-client-desktop
        destination: /usr/share/applications/
  - type: copy
    from: spyro2
    src: /app/S2AP/source/S2AP.Desktop/bin/Release/net8.0/linux-x64/publish/*
    dest: /usr/lib/opt/S2AP/
